/* Stockage de dimensions en 3D                 */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Novembre 2012                                */

#include "Dimension3D.h"

/* Constructeurs                                */

Dimension3D::Dimension3D(void) {
  tx = 1.0;
  ty = 1.0;
  tz = 1.0;
}

Dimension3D::Dimension3D(double tx,double ty,double tz) {
  this->tx = tx;
  this->ty = ty;
  this->tz = tz;
}

Dimension3D::Dimension3D(Dimension3D *d) {
  tx = d->tx;
  ty = d->ty;
  tz = d->tz;
}

/* Destructeur                                  */

Dimension3D::~Dimension3D(void) {
}
